[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[dak/master] Merged a patch from Frans Pop making byhand-task fail on uploads to anything other than sid



---
 ChangeLog                  |    3 +++
 scripts/debian/byhand-task |   32 ++++++++++++++++++++++++++++++--
 2 files changed, 33 insertions(+), 2 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 3fa62d3..2193924 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,8 @@
 2008-06-14  Joerg Jaspert  <joerg@debian.org>
 
+	* scripts/debian/byhand-task: Merged patch from Frans Pop to
+	fail on byhand-task uploads if they do not go to unstable.
+
 	* config/debian/cron.weekly: Do a little git cleanup work too.
 
 	* config/debian/cron.buildd: Add batchmode and also
diff --git a/scripts/debian/byhand-task b/scripts/debian/byhand-task
index b7f4f7a..8caf942 100755
--- a/scripts/debian/byhand-task
+++ b/scripts/debian/byhand-task
@@ -1,7 +1,35 @@
 #!/bin/sh -ue
 
-# Tarball to read, compressed with gzip
-INPUT="${1:?"Usage: $0 filename"}"
+if [ $# -lt 4 ]; then
+        echo "Usage: $0 filename version arch changes_file"
+        exit 1
+fi
+
+INPUT="$1"      # Tarball to read, compressed with gzip
+VERSION="$2"
+ARCH="$3"
+CHANGES="$4"    # Changes file for the upload
+
+error() {
+        echo "$*"
+        exit 1
+}
+
+# Get the target suite from the Changes file
+# NOTE: it may be better to pass this to the script as a parameter!
+SUITE="$(grep "^Distribution:" "$CHANGES" | awk '{print $2}')"
+case $SUITE in
+    "")
+        error "Error: unable to determine suite from Changes file"
+        ;;
+    unstable|sid)
+        : # OK for automated byband processing
+        ;;
+    *)
+        error "Reject: task overrides can only be processed automatically for uploads to unstable"
+        ;;
+esac
+
 
 # Regular expression used to validate tag lines
 CHECKRE='^[a-z0-9A-Z.+-]+[[:space:]]+Task[[:space:]]+[a-z0-9:. ,{}+-]+$'
-- 
1.5.5.GIT


Reply to: